Loading...
Searching...
No Matches
gx_resample::StreamingResampler Class Reference

`#include <gx_resampler.h>`

Inheritance diagram for gx_resample::StreamingResampler:

## Public Member Functions

bool | setup (int srcRate, int dstRate, int nchan)
int | get_max_out_size (int i_size)
int | process (int count, float *input, float *output)
int | flush (float *output)

## Private Attributes

int | ratio_a
int | ratio_b

## Detailed Description

Definition at line 54 of file gx_resampler.h.

## Member Function Documentation

## flush()

int gx_resample::StreamingResampler::flush | ( | float * | output | ) |

## get_max_out_size()

int gx_resample::StreamingResampler::get_max_out_size | ( | int | i_size | ) |

inline

Definition at line 60 of file gx_resampler.h.

## process()

int gx_resample::StreamingResampler::process | ( | int | count,
|  | float * | input,
|  | float * | output )

## setup()

bool gx_resample::StreamingResampler::setup | ( | int | srcRate,
|  | int | dstRate,
|  | int | nchan )

## Member Data Documentation

## ratio_a

int gx_resample::StreamingResampler::ratio_a

private

Definition at line 56 of file gx_resampler.h.

Referenced by get_max_out_size().

## ratio_b

int gx_resample::StreamingResampler::ratio_b

private

Definition at line 57 of file gx_resampler.h.

Referenced by get_max_out_size().

The documentation for this class was generated from the following file:

- src/headers/gx_resampler.h